Package: org.codehaus.groovy.classgen.asm.sc

## [Java] Class StaticTypesLambdaWriter

- org.codehaus.groovy.classgen.asm.sc.StaticTypesLambdaWriter

- All Implemented Interfaces and Traits:
    AbstractFunctionalInterfaceWriter

      public class StaticTypesLambdaWriter
      extends LambdaWriter

  Writer responsible for generating lambda classes in statically compiled mode.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ClosureWriter` | `OUTER_INSTANCE, THIS_OBJECT, controller`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StaticTypesLambdaWriter (WriterController controller)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected ClassNode` | `createClosureClass(ClosureExpression expression, int modifiers)`
    `` | `protected ClassNode` | `createLambdaClass(LambdaExpression expression, int modifiers, MethodNode abstractMethod)`
    `` | `void` | `visit(org.objectweb.asm.MethodVisitor mv)`
    `` | `void` | `visitVariableExpression(VariableExpression expression)`
    `` | `void` | `writeLambda(LambdaExpression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class LambdaWriter` | `getLambdaSharedVariables, writeLambda`
    `class ClosureWriter` | `addConstructor, addFieldsAndGettersForLocalVariables, addGeneratedClosureConstructorCall, createBlockStatementForConstructor, createClosureClass, getClosureSharedVariables, getOrAddClosureClass, loadReference, loadThis, removeInitialValues, writeClosure`

- - ### Constructor Detail

    - #### public StaticTypesLambdaWriter(WriterController controller)

  - ### Method Detail

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride protected ClassNode createClosureClass(ClosureExpression expression, int modifiers)

    - #### protected ClassNode createLambdaClass(LambdaExpression expression, int modifiers, MethodNode abstractMethod)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visit(org.objectweb.asm.MethodVisitor mv)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitVariableExpression(VariableExpression expression)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void writeLambda(LambdaExpression expression)